import { FastifyInstance } from 'fastify';
import * as controller from './anime.controller';

async function animeRoutes(fastify: FastifyInstance) {
    fastify.get('/anime/:id', controller.getAnime);
    fastify.get('/anime/:id/:episodes', controller.getAnimeEpisodes);
    fastify.get('/trending', controller.getTrending);
    fastify.get('/top-airing', controller.getTopAiring);
    fastify.get('/search', controller.search);
    fastify.get('/search/:extension', controller.searchInExtension);
    fastify.get('/watch/stream', controller.getWatchStream);
    fastify.post('/watch/mpv', controller.openInMPV);
}

export default animeRoutes;